System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

Use the members of this enumeration when setting the parameter of the method.

Auto mode may be slower than setting to an explicit option.

Specifies how to read XML data and a relational schema into a .

- Field
  System.Data.XmlReadMode

  Performs the most appropriate of these actions:

  If the data is a DiffGram, sets to DiffGram.

  -or-

  If the dataset already has a schema, or the document contains an in-line schema, sets to ReadSchema.

  -or-

  If the dataset does not already have a schema and the document does not contain an in-line schema, sets to InferSchema.

  Default.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.XmlReadMode

  The target must have the same schema as the on which as DiffGram is called. Otherwise the DiffGram merge operation fails, and an exception is thrown.

  Reads a DiffGram, applying changes from the DiffGram to the . The semantics are identical to those of a operation. As with the operation, values are preserved. Input to with DiffGrams should only be obtained using the output from as a DiffGram.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.XmlReadMode To be added

  Reads XML fragments, such as those generated by executing FOR XML queries, against an instance of SQL Server. When is set to Fragment, the default namespace is read as the inline schema.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.XmlReadMode To be added

  Ignores any inline schema and reads data into the existing schema. If any data does not match the existing schema, it is discarded (including data from differing namespaces defined for the ). If the data is a DiffGram, IgnoreSchema has the same functionality as DiffGram.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.XmlReadMode To be added

  Ignores any inline schema, infers schema from the data and loads the data. If the already contains a schema, the current schema is extended by adding new tables or adding columns to existing tables. An exception is thrown if the inferred table already exists but with a different namespace, or if any of the inferred columns conflict with existing columns.

  1.0.5000.0
  2.0.0.0
- Field
  2.0.0.0
  System.Data.XmlReadMode

  Ignores any inline schema, infers a strongly typed schema from the data, and loads the data. If the type cannot be inferred from the data, it is interpreted as string data. If the already contains a schema, the current schema is extended, either by adding new tables or by adding columns to existing tables. An exception is thrown if the inferred table already exists but with a different namespace, or if any of the inferred columns conflict with existing columns.

- Field
  System.Data.XmlReadMode To be added

  Reads any inline schema and loads the data. If the already contains schema, new tables may be added to the schema, but an exception is thrown if any tables in the inline schema already exist in the .

  1.0.5000.0
  2.0.0.0